PYSIDE6-QMLCACHEGEN(1)

NAME
pyside6-qmlcachegen - qmlcachegen

SYNOPSIS
qmlcachegen [options] [qml file]

OPTIONS

-h, --help
    Displays help on commandline options.

--help-all
    Displays help, including generic Qt options.

-v, --version
    Displays version information.

--bare
    Do not include default import directories. This may be used to run qmlcachegen on a project using a different Qt version.

--filter-resource-file
    Filter out QML/JS files from a resource file that can be cached ahead of time instead

--resource-file-mapping <old-name=new-name>
    Path from original resource file to new one

--resource <resource-file-name>
    Qt resource file that might later contain one of the compiled files

--resource-path <resource-path>
    Qt resource file path corresponding to the file being compiled

--resource-name <compiled-file-list>
    Required to generate qmlcache_loader without qrc files. This is the name of the Qt resource the input files belong to.

-i <qmldir file>
    Import extra qmldir

-I <import directory>
    Look for QML modules in specified directory

--only-bytecode
    Generate only byte code for bindings and functions, no C++ code

--verbose
    Output compile warnings

--warnings-are-errors
    Treat warnings as errors

--validate-basic-blocks
    Performs checks on the basic blocks of a function compiled ahead of time to validate its structure and coherence

--dump-aot-stats
    Dumps statistics about ahead-of-time compilation of bindings and functions

--module-id <id>
    Identifies the module of the qml file being compiled for aot stats

-o <file name>
    Output file name

  Arguments:

[qml file]
    QML source file to generate cache for.